Subject: Gil Muhl's AGA Presentation
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 13 Sep 2000 10:21:00 -0700 (PDT)

Ken - In preparation for your meeting tomorrow with Rob Bradley and others to 
discuss your speech at the Governor's Natural Gas Summit next week in Ohio, 
attached is my latest draft of a presentation that I will giving at an AGA 
Meeting in Washington DC on Tuesday, Sept 19th.   The topic for the meeting 
next Tuesday is "Impact of Current Natural Gas Commodity Prices on LDCs"..

Please review and let me know tomorrow if you should have any questions or 
comments.

Thanks!

Gil Muhl
Vice President - Origination